# MCS_CArq Class Reference

`#include <mcs.h>`

Inheritance diagram for MCS_CArq:

List of all members.

## Public Member Functions

| MCS_CArq (unsigned tag=21, TagClass tagClass=ApplicationTagClass)
PINDEX | GetDataLength () const
PBoolean | Decode (PASN_Stream &strm)
void | Encode (PASN_Stream &strm) const
void | PrintOn (ostream &strm) const
Comparison | Compare (const PObject &obj) const
PObject * | Clone () const

## Public Attributes

MCS_UserId | m_initiator
MCS_PrivateChannelId | m_channelId
MCS_ArrayOf_UserId | m_userIds

## Constructor & Destructor Documentation

MCS_CArq::MCS_CArq | ( | unsigned | tag = `21`,
|  | TagClass | tagClass = `ApplicationTagClass` |
| ) |  |  |

## Member Function Documentation

PINDEX MCS_CArq::GetDataLength | ( |  | ) | const

PBoolean MCS_CArq::Decode | ( | PASN_Stream & | strm | ) |

void MCS_CArq::Encode | ( | PASN_Stream & | strm | ) | const

void MCS_CArq::PrintOn | ( | ostream & | strm | ) | const

Comparison MCS_CArq::Compare | ( | const PObject & | obj | ) | const

PObject* MCS_CArq::Clone | ( |  | ) | const

## Member Data Documentation

MCS_UserId MCS_CArq::m_initiator

MCS_PrivateChannelId MCS_CArq::m_channelId

MCS_ArrayOf_UserId MCS_CArq::m_userIds

The documentation for this class was generated from the following file:

- mcs.h